Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | List of all members
sauce::internal::Key< Iface_ > Class Template Reference

A complete specification of a dependency request. More...

`#include <sauce/internal/key.h>`

## Public Types
typedef Iface_ | Iface
typedef sauce::shared_ptr< Iface_ > | Ptr
typedef Unnamed | Name
typedef Named< Iface_, Unnamed > | Normalized
| Note Normalized is not Iface, but Named<Iface, Unnamed>. More...

## Detailed Description

### template<typename Iface_>
class sauce::internal::Key< Iface_ >

A complete specification of a dependency request.

## Member Typedef Documentation

template<typename Iface_>

typedef Named<Iface_, Unnamed> sauce::internal::Key< Iface_ >::Normalized

Note Normalized is not Iface, but Named<Iface, Unnamed>.

They are logically equivalent, but have different TypeIds. Where it is ambiguous, we use the normalized version.

The documentation for this class was generated from the following file:

- sauce/internal/key.h